diffstat for augeas-1.2.0 augeas-1.2.0

 changelog                                                      |   16 +
 patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch |  127 ++++++++++
 patches/0004-Httpd-Include-conf-available-directory.patch      |   13 +
 patches/series                                                 |    2 
 4 files changed, 158 insertions(+)

diff -Nru augeas-1.2.0/debian/changelog augeas-1.2.0/debian/changelog
--- augeas-1.2.0/debian/changelog	2014-08-27 17:45:17.000000000 +0000
+++ augeas-1.2.0/debian/changelog	2015-12-06 15:48:20.000000000 +0000
@@ -1,3 +1,19 @@
+augeas (1.2.0-0.3) unstable; urgency=medium
+
+  * Non-maintainer upload.
+
+  [ Yann Soubeyrand ]
+  * Httpd lense:
+    - Allow EOL comments after section tags (thanks Dominic Cleal from Red
+      Hat for reporting the patch) (Closes: #802665)
+    - Include /etc/apache2/conf-available directory (Closes: #764699)
+
+  [ Mattia Rizzolo ]
+  * debian/patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch:
+    + Rewrite DEP-3 header.
+
+ -- Yann Soubeyrand <yann-externe.soubeyrand@edf.fr>  Fri, 27 Nov 2015 10:00:36 +0100
+
 augeas (1.2.0-0.2) unstable; urgency=medium
 
   * Non-maintainer upload
diff -Nru augeas-1.2.0/debian/patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch augeas-1.2.0/debian/patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch
--- augeas-1.2.0/debian/patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch	1970-01-01 00:00:00.000000000 +0000
+++ augeas-1.2.0/debian/patches/0003-Httpd-Allow-eol-comments-after-section-tags.patch	2015-12-06 15:41:42.000000000 +0000
@@ -0,0 +1,127 @@
+Description: Httpd: Allow eol comments after section tags
+Origin: upstream,
+    Httpd: Allow eol comments after section tags: https://github.com/hercules-team/augeas/commit/3af5c7d44c838b52bbdaf1beb8780fd6a471a77e
+    Httpd: Define an eol_comment in section to allow for \n before comment: https://github.com/hercules-team/augeas/commit/fb749ea4d1ba4ecd95a5cec6aa7b20b010ef04a8
+    Httpd: Do not pass empty as body to section: https://github.com/hercules-team/augeas/commit/97d3d931fefdfe816e6fb1d6e55a779742f255fa
+    Httpd: Make \ illegal in char_arg_dir: https://github.com/hercules-team/augeas/commit/3df041be9196a8ca0b7a3e8c90a47b800500cba1
+    Httpd: Properly manage eol after opening tag: https://github.com/hercules-team/augeas/commit/34980ae52bf4367664ad0551a15c2d1e5a3f2ac4
+Bug: https://github.com/hercules-team/augeas/pull/223
+Bug: https://github.com/hercules-team/augeas/pull/220
+Bug-Debian: https://bugs.debian.org/802665
+
+---
+ lenses/httpd.aug            |  9 ++++---
+ lenses/tests/test_httpd.aug | 62 +++++++++++++++++++++++++++++++++++++++++++++
+ 2 files changed, 68 insertions(+), 3 deletions(-)
+
+diff --git a/lenses/httpd.aug b/lenses/httpd.aug
+index caea9b6..331d807 100644
+--- a/lenses/httpd.aug
++++ b/lenses/httpd.aug
+@@ -59,7 +59,7 @@ let empty               = Util.empty_dos
+ let indent              = Util.indent
+ 
+ (* borrowed from shellvars.aug *)
+-let char_arg_dir  = /[^ '"\t\r\n]|\\\\"|\\\\'/
++let char_arg_dir  = /[^\\ '"\t\r\n]|\\\\"|\\\\'/
+ let char_arg_sec  = /[^ '"\t\r\n>]|\\\\"|\\\\'/
+ let dquot = /"([^"\\\r\n]|\\\\.)*"/
+ let squot = /'([^'\\\r\n]|\\\\.)*'/
+@@ -77,13 +77,16 @@ let directive = [ indent . label "directive" . store word .
+                   (sep_spc . argv arg_dir)? . eol ]
+ 
+ let section (body:lens) =
++    (* opt_eol includes empty lines *)
++    let opt_eol = del /([ \t]*#?\r?\n)*/ "\n" in
+     let inner = (sep_spc . argv arg_sec)? . sep_osp .
+-             dels ">" . eol . body* . indent . dels "</" in
++             dels ">" . opt_eol . ((body|comment) . (body|empty|comment)*)? .
++             indent . dels "</" in
+     let kword = key word in
+     let dword = del word "a" in
+         [ indent . dels "<" . square kword inner dword . del ">" ">" . eol ]
+ 
+-let rec content = section (content|directive|comment|empty)
++let rec content = section (content|directive)
+ 
+ let lns = (content|directive|comment|empty)*
+ 
+diff --git a/lenses/tests/test_httpd.aug b/lenses/tests/test_httpd.aug
+index af6cdc1..bed6cc6 100644
+--- a/lenses/tests/test_httpd.aug
++++ b/lenses/tests/test_httpd.aug
+@@ -1,5 +1,11 @@
+ module Test_httpd =
+ 
++(* Check that we can iterate on directive *)
++let _ = Httpd.directive+
++
++(* Check that we can do a non iterative section *)
++let _ = Httpd.section Httpd.directive
++
+ (* directives testing *)
+ let d1 = "ServerRoot \"/etc/apache2\"\n"
+ test Httpd.directive get d1 =
+@@ -339,3 +345,59 @@ test Httpd.lns get conf2 =
+     {  }
+   }
+ 
++(* Eol comment *)
++test Httpd.lns get "<a> # a comment
++MyDirective Foo
++</a>\n" =
++  { "a"
++    { "#comment" = "a comment" }
++    { "directive" = "MyDirective" { "arg" = "Foo" } } }
++
++test Httpd.lns get "<a>
++# a comment
++</a>\n" =
++  { "a" { "#comment" = "a comment" } }
++
++(* GH #220 *)
++let double_comment = "<IfDefine Foo>
++##
++## Comment
++##
++</IfDefine>\n"
++
++test Httpd.lns get double_comment =
++  { "IfDefine"
++    { "arg" = "Foo" }
++    { "#comment" = "#" }
++    { "#comment" = "# Comment" }
++    { "#comment" = "#" }
++  }
++
++let single_comment = "<IfDefine Foo>
++#
++## Comment
++##
++</IfDefine>\n"
++
++test Httpd.lns get single_comment =
++  { "IfDefine"
++    { "arg" = "Foo" }
++    { "#comment" = "# Comment" }
++    { "#comment" = "#" }
++  }
++
++let single_empty = "<IfDefine Foo>
++#
++
++</IfDefine>\n"
++test Httpd.lns get single_empty =
++  { "IfDefine"
++    { "arg" = "Foo" }
++  }
++
++let eol_empty = "<IfDefine Foo> #
++</IfDefine>\n"
++test Httpd.lns get eol_empty =
++  { "IfDefine"
++    { "arg" = "Foo" }
++  }
+-- 
+2.4.3
+
diff -Nru augeas-1.2.0/debian/patches/0004-Httpd-Include-conf-available-directory.patch augeas-1.2.0/debian/patches/0004-Httpd-Include-conf-available-directory.patch
--- augeas-1.2.0/debian/patches/0004-Httpd-Include-conf-available-directory.patch	1970-01-01 00:00:00.000000000 +0000
+++ augeas-1.2.0/debian/patches/0004-Httpd-Include-conf-available-directory.patch	2015-12-06 15:33:56.000000000 +0000
@@ -0,0 +1,13 @@
+Description: Httpd: Include /etc/apache2/conf-available directory
+Origin: upstream, https://github.com/hercules-team/augeas/commit/f99de5dfe072f20f4c2f7c79083c6ddd04aef26c
+Bug-Debian: https://bugs.debian.org/764699
+--- a/lenses/httpd.aug
++++ b/lenses/httpd.aug
+@@ -94,6 +94,7 @@
+              (incl "/etc/apache2/httpd.conf") .
+              (incl "/etc/apache2/ports.conf") .
+              (incl "/etc/apache2/conf.d/*") .
++             (incl "/etc/apache2/conf-available/*") .
+              (incl "/etc/apache2/mods-available/*") .
+              (incl "/etc/apache2/sites-available/*") .
+              (incl "/etc/httpd/conf.d/*.conf") .
diff -Nru augeas-1.2.0/debian/patches/series augeas-1.2.0/debian/patches/series
--- augeas-1.2.0/debian/patches/series	2014-08-25 16:56:18.000000000 +0000
+++ augeas-1.2.0/debian/patches/series	2015-12-06 15:33:56.000000000 +0000
@@ -1,2 +1,4 @@
 0001-Install-vim-addons-into-correct-directory.patch
 0002-Skip-tests-that-need-root-privileges-when-fakeroot-h.patch
+0003-Httpd-Allow-eol-comments-after-section-tags.patch
+0004-Httpd-Include-conf-available-directory.patch
